org.appng.core.controller.filter

## Class RedirectFilter

- java.lang.Object
- - org.tuckey.web.filters.urlrewrite.UrlRewriteFilter
  - - org.appng.core.controller.filter.RedirectFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class RedirectFilter
      extends org.tuckey.web.filters.urlrewrite.UrlRewriteFilter

  A `Filter` extending UrlRewriteFilter that supports configuration per `Site`.
  Author:
    Matthias Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RedirectFilter.UrlRewriteConfig`

  - ### Field Summary

    - ### Fields inherited from class org.tuckey.web.filters.urlrewrite.UrlRewriteFilter

      `DEFAULT_MOD_REWRITE_STYLE_CONF_PATH, DEFAULT_WEB_CONF_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedirectFilter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<org.appng.core.controller.filter.RedirectFilter.RedirectRule>` | `getRedirectRules(String siteName)`
    `protected org.tuckey.web.filters.urlrewrite.UrlRewriter` | `getUrlRewriter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
    `void` | `init(javax.servlet.FilterConfig filterConfig)`
    `static Document` | `parseConfig(URL resource)`

    - ### Methods inherited from class org.tuckey.web.filters.urlrewrite.UrlRewriteFilter

      `checkConf, destroy, destroyActual, destroyUrlRewriter, doFilter, getConfReloadCheckInterval, getConfReloadLastCheck, getFullVersionString, getStatusPath, isConfReloadCheckEnabled, isLoaded, isStatusEnabled, isTimeToReloadConf, loadUrlRewriter, reloadConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RedirectFilter

          public RedirectFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Overrides:
        `init` in class `org.tuckey.web.filters.urlrewrite.UrlRewriteFilter`
      Throws:
        `javax.servlet.ServletException`

    - #### parseConfig

          public static Document parseConfig(URL resource)
                                      throws ParserConfigurationException,
                                             SAXException,
                                             IOException

      Throws:
        `ParserConfigurationException`
        `SAXException`
        `IOException`

    - #### getUrlRewriter

          protected org.tuckey.web.filters.urlrewrite.UrlRewriter getUrlRewriter(javax.servlet.ServletRequest request,
                                                                                 javax.servlet.ServletResponse response,
                                                                                 javax.servlet.FilterChain chain)

      Overrides:
        `getUrlRewriter` in class `org.tuckey.web.filters.urlrewrite.UrlRewriteFilter`

    - #### getRedirectRules

          public static List<org.appng.core.controller.filter.RedirectFilter.RedirectRule> getRedirectRules(String siteName)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.